# $Revision: 1.39 $, $Date: 2009/08/08 17:30:06 $
#
# Note about gtags-patch !!
#
# Future releases of Nvi (1.81.5) will not need it anymore.
# Instead they will need --enable-perlinterp when configuring
# and Requires: gtags-perl-wrapper in this specfile
#

Summary:	Clone of the POSIX conform editor 'vi'
Summary(de.UTF-8):	Klon des POSIX konformen Editors 'vi'
Summary(pl.UTF-8):	Klon edytora POSIX-owego 'vi' i 'ex'
Name:		nvi
Version:	1.81.6
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://www.kotnet.org/~skimo/nvi/devel/%{name}-%{version}.tar.bz2
# Source0-md5:	88d1e23115ee9f2961186b62e55f5704
Patch0:		%{name}-autoconf.patch
URL:		http://www.bostic.com/vi/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	db-static >= 4.0
Provides:	vi
Obsoletes:	elvis-static
Obsoletes:	vim-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_sbindir	/sbin

%description
A freely redistributable replacement for the Berkeley ex and vi text
editors.

%description -l de.UTF-8
Frei verbreitabrer Ersatz für die Brekeley Text-Editoren vi und ex.

%description -l pl.UTF-8
Programy zastępcze dla Berkeley-owskich edytorów tekstów ex i vi.

%prep
%setup -q
%patch0 -p1

%build
cd dist
cp ../clib/*.c .
cp -f /usr/share/automake/config.* .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-widechar
%{__make} \
	LDFLAGS=-all-static

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_docdir}/%{name}-%{version},%{_bindir},%{_sbindir}}

cd dist
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT
install recover $RPM_BUILD_ROOT%{_sbindir}
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/recover
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nvi.spec,v $
Revision 1.39  2009/08/08 17:30:06  hawk
- updated to 1.81.6

Revision 1.38  2007/04/05 00:10:36  aredridel
- 1.81.5

Revision 1.37  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.35  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.34  2006/05/08 11:40:32  darekr
- defined _bindir and _sbindir to use macros

Revision 1.33  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.32  2004/02/19 15:24:13  siefca
- added important note about gtags-compliance patch

Revision 1.31  2004/02/19 11:11:51  siefca
- added patch for the Global tag system support
- release 8

Revision 1.30  2003/11/23 14:28:27  qboosh
- patch0 ungzipped, cleaned up; file removal moved to %%prep
- use bundled stripped down db 1.85 instead of system db1

Revision 1.29  2003/11/23 05:00:43  speedy
- release 7 for AC

Revision 1.28  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:51:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/11/27 18:27:39  juandon
- new %%doc

Revision 1.25  2002/04/11 12:35:39  qboosh
- Obsoletes: vim-static, elvis-static; release 6

Revision 1.24  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/18 08:38:08  marcus
- rel.5.

Revision 1.22  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/04 08:41:50  ankry
- gzipped the huge patch. Is there everything in the patch really necessary?
  It is greater then the original source!!!

Revision 1.20  2001/11/04 02:47:55  blues
- URL updated (based on web page)

Revision 1.19  2001/08/09 00:51:51  agaran
s/configure/configure2_13/
without that it dont build, aclocal/autoconf regeneration dont help

Revision 1.18  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/07/13 23:17:55  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.16  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.15  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.13  1999/11/17 00:42:50  kloczek
- release 3,
- build against ncurses 5.0.

Revision 1.12  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.79-2]
- disable using curses headre files durin compilation,
- added URL,
- more rpm macros,
- added full Source: Url.

* Thu Apr 15 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.79-1]
- removed man group from man pages,
- link against libncurses instead libtermcap,
- added -s to LDFLAGS,
- ex(1) and view(1) man pages make as *roff include,
- added some %doc.

* Wed Apr  7 1999 Marcin Dalecki <dalecki@cs.net.pl>
- Initial release for PLD.
